"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const changelog_github_1 = tslib_1.__importDefault(require("@changesets/changelog-github"));
const get_github_info_1 = require("@changesets/get-github-info");
const modified = {
    ...changelog_github_1.default,
    async getDependencyReleaseLine(changesets, dependenciesUpdated, options) {
        if (!options.repo) {
            throw new Error('Please provide a repo to this changelog generator like this:\n"changelog": ["@changesets/changelog-github", { "repo": "org/repo" }]');
        }
        if (dependenciesUpdated.length === 0)
            return '';
        const commits = (await Promise.all(changesets
            .filter((cs) => cs.commit)
            .map((cs) => (0, get_github_info_1.getInfo)({ repo: options.repo, commit: cs.commit }))))
            .map((r) => r.links.commit)
            .filter(Boolean)
            .join(', ');
        if (!commits) {
            return '';
        }
        return `- Dependencies [${commits}]`;
    }
};
exports.default = modified;
